import XForm from './XForm.vue'
import XBase from './XBase.vue'
import * as validators from 'vuelidate/lib/validators'
import * as common from 'vuelidate/lib/validators/common'
import messages from './messages'

validators.regex = function (regex) {
  return common.regex('regex', regex)
}

export default {
  XBase,
  XForm,
  validators,
  common,
  messages
}